# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "mnam/version"

Gem::Specification.new do |spec|
  spec.name          = "mnam"
  spec.version       = Mnam::VERSION
  spec.authors       = ["Brian Faust", "wmz"]
  spec.email         = ["hello@brianfaust.me", "wmz@mnam.io"]

  spec.summary       = "An MNAM bridge for Ruby."
  spec.description   = "An MNAM bridge for Ruby."
  spec.homepage      = "https://bitbucket.org/wmz/mnam-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "webmock", "3.0.1"
  spec.add_development_dependency "dotenv", "2.2.1"

  spec.add_dependency 'btcruby'
  spec.add_dependency 'deep_hash_transform'
  spec.add_dependency 'faraday', "~> 0.12.2"
  spec.add_dependency 'faraday_middleware', "~> 0.12.2"
end
