# MNAM Ruby

> An [MNAM](https://github.com/ArkEcosystem/mnam-node) bridge for Ruby.

# Installation

## Bundler

Add this line to your application's Gemfile:

```ruby
gem 'mnam'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mnam

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, copy and edit the contents of the `.env.example` file into a file called `.env`. This file represents your network and account details. You can then run the tests using `rake spec`. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Security

If you discover a security vulnerability within this package, please send an e-mail to security@mnam.io. All security vulnerabilities will be promptly addressed.
## Credits

- [Wu Minzhe](https://github.com/wuminzhe)
- [Brian Faust](https://github.com/faustbrian)
- [All Contributors](../../contributors)

## License

[MIT](LICENSE) © [Mnam Ecosystem](https://mnam.io)
